com.buschmais.jqassistant.plugin.java.api.scanner

## Class TypeCache.CachedType<T extends TypeDescriptor>

- java.lang.Object
- - com.buschmais.jqassistant.plugin.java.api.scanner.TypeCache.CachedType<T>

- Type Parameters:
    `T` - The descriptor type.
  Enclosing class:
    TypeCache

      public static class TypeCache.CachedType<T extends TypeDescriptor>
      extends Object

  Represents a type and all of its declared members.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedType(T typeDescriptor)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDependency(String fullQualifiedName, TypeDescriptor dependency)`
    `void` | `addMember(String signature, MemberDescriptor member)`
    `boolean` | `equals(Object o)`
    `TypeDescriptor` | `getDependency(String fullQualifiedName)`
    `FieldDescriptor` | `getField(String signature)`
    `MethodDescriptor` | `getMethod(String signature)`
    `T` | `getTypeDescriptor()`
    `int` | `hashCode()`
    `void` | `migrate(T typeDescriptor)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachedType

          public CachedType(T typeDescriptor)

      Constructor.
      Parameters:
        `typeDescriptor` - The type descriptor.

  - ### Method Detail

    - #### getTypeDescriptor

          public T getTypeDescriptor()

    - #### migrate

          public void migrate(T typeDescriptor)

    - #### getField

          public FieldDescriptor getField(String signature)

    - #### getMethod

          public MethodDescriptor getMethod(String signature)

    - #### addMember

          public void addMember(String signature,
                                MemberDescriptor member)

    - #### getDependency

          public TypeDescriptor getDependency(String fullQualifiedName)

    - #### addDependency

          public void addDependency(String fullQualifiedName,
                                    TypeDescriptor dependency)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2015 buschmais GbR. All rights reserved.